Gebruikers
Gebruikers zoeken
GET /v1/users/search reads 2 credits
Zoeken naar personen: accounts die overeenkomen met een naam, handle of woorden uit de bio, beste overeenkomsten eerst.
Queryparameters
| Queryparameter | Type | Betekenis |
|---|---|---|
q * | string | Naam, handle of woorden uit de bio |
count | int 1–100 = 20 | Gevraagde paginagrootte; X behandelt dit als een hint |
cursor | string | Uit next_cursor van de vorige pagina |
antwoord
De query, een pagina met volledige gebruikersrecords en een cursor (null aan het einde). Veld voor veld: User.
Status: 200, 400, 429, 502
verzoek
curl https://api.xsignalfeed.com/v1/users/search?q=reuters&count=20 \ -H "Authorization: Bearer xsf_your_key"
antwoord · 200 / 400
{
"query": "reuters",
"users": [
{
"id": "1652541",
"screen_name": "Reuters",
"name": "Reuters",
"bio": "Top and breaking news, pictures and videos from Reuters…",
"avatar": "https://pbs.twimg.com/profile_images/…",
"banner": "https://pbs.twimg.com/profile_banners/1652541/…",
"followers": 26367698,
"following": 1195,
"tweets": 1395836,
"location": "Around the world",
"url": "https://t.co/…",
"verified": true,
"verified_type": "Business",
"protected": false,
"created_at": "2007-03-20T17:46:05Z",
"category": "Media & News Company"
},
{
"…": "…"
}
],
"next_cursor": "DAAFCgABHSYySrM__6MLAAIAAACIRW1QQzZ3QUFBZlEvZ0dKTjB2R3AvQUFBQUFvQUFBQUFFLzZsVWd…"
}